﻿using System;

namespace Aspects
{
   /// <summary>
   /// This is the attribute that we add using PostSharp.
   /// </summary>
   public class AssociationAttribute : Attribute
   {
      #region Constructors

      public AssociationAttribute(string name)
      {
         Name = name;
      }

      #endregion

      #region Properties

      public string Name { get; private set; }

      #endregion
   }
}